package com.engine.kq.service.impl;

import com.engine.core.impl.Service;
import com.engine.kq.service.KQBalanceDetailService;
import com.engine.kq.cmd.balanceofleavedetail.*;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

public class KQBalanceDetailServiceImpl extends Service implements KQBalanceDetailService {

    @Override
    public Map<String, Object> getRightMenu(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetRightMenuCmd(params,user));
    }

    @Override
    public Map<String, Object> getSearchList(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetSearchListCmd(params, user));
    }

    @Override
    public Map<String, Object> getBalanceForm(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetBalanceFormCmd(params, user));
    }

    @Override
    public Map<String, Object> editBalance(Map<String, Object> params, User user) {
        return commandExecutor.execute(new EditBalanceCmd(params, user));
    }

    @Override
    public Map<String, Object> deleteBalance(Map<String, Object> params, User user) {
        return commandExecutor.execute(new DeleteBalanceCmd(params, user));
    }
}
